package com.yeejoin.amos.boot.module.jczs.api.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.jczs.api.dto.EquScheduleDto;
import com.yeejoin.amos.boot.module.jczs.api.dto.LicScheduleDto;
import com.yeejoin.amos.boot.module.jczs.flc.api.dto.CylinderInfoDto;
import com.yeejoin.amos.boot.module.jczs.flc.api.entity.CylinderInfo;

public interface ScheduleMapper {
    EquScheduleDto getEquDetail(String sequenceCode);

    LicScheduleDto getLicDetail(String certNo);

    CylinderInfoDto getCylDetail(String sequenceCode);

    Page<CylinderInfo> cylinderInfoPage(Page<CylinderInfo> page);
}
